PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- Goddard Utilities (`pydl.goddard`) »
- gcirc

# gcirc

pydl.goddard.astro.gcirc(ra1, dec1, ra2, dec2, units=2)

  Computes rigorous great circle arc distances.

  Parameters:
    ra1, dec1, ra2, dec2 `float` or array-like

      RA and Dec of two points.

    units{ 0, 1, 2 }, optional

      - units = 0: everything is already in radians

      - units = 1: RA in hours, dec in degrees, distance in arcsec.

      - units = 2: RA, dec in degrees, distance in arcsec (default)

  Returns:
    `float` or array-like

      The angular distance. Units of the value returned depend on the input value of `units`.

  Notes

  The formula below is the one best suited to handling small angular separations. See: https://en.wikipedia.org/wiki/Great-circle_distance